  Turbo_Version: INTEGER = 3;  {For use with Upper_Left_X and Upper_Left_Y.
                                Legal values are
                                     2    for Turbo, Version 2.00B
                                     287  for Turbo-87, Version 2.00B
                                     3    for Version 3.01A
                                 L.P.}

{****************************************************************************}
(*
Function Upper_Left_X : Integer;       {* These four routines allow a       *}
{1*}                                   {* routine to adjust its output      *}
Begin                                  {* according to what size window it  *}
  Upper_Left_X := Mem[Dseg:$156] + 1;  {* is operating in.  They are        *}
End;                                   {* compatible only with Turbo Pascal *}
                                       {* version 2.0 on an IBM PC or       *}
Function Upper_Left_Y : Integer;       {* compatible                        *}
{2*}
Begin
  Upper_Left_Y := Mem[Dseg:$157] + 1;
End;
*)

{These modifications allow Upper_Left_X and Upper_Left_Y to work with Turbo
 Pascal, Version 2.00B, Turbo-87, Version 2.00B and all three Turbo Pascals
 Version 3.01A.  They require the new typed constant Turbo_Version with the
 values
      2   for Turbo, Version 2.00B
      287 for Turbo-87, Version 2.00B
      3   for Version 3.01A
 If its value is different, the functions return a value of 0.
 Lew Paper
 12/16/85}

Function Upper_Left_X : Integer;
{1*}
Begin
  Case Turbo_Version of
  2:   Upper_Left_X := Mem[Dseg:$156] + 1;
  287: Upper_Left_X := Mem[Dseg:$143] + 1;
  3  : Upper_Left_X := Mem[Dseg:$4] + 1;
  ELSE Upper_Left_X := 0;
  End; {Case}
End;

Function Upper_Left_Y : Integer;
{2*}
Begin
  Case Turbo_Version of
  2:   Upper_Left_Y := Mem[Dseg:$157] + 1;
  287: Upper_Left_Y := Mem[Dseg:$144] + 1;
  3  : Upper_Left_Y := Mem[Dseg:$5] + 1;
  ELSE Upper_Left_Y := 0;
  End; {Case}
End;

